@echo off
CLS
IF "%1" == "/?" GOTO HELP
IF "%1" == "HELP" GOTO HELP
IF "%1" == "help" GOTO HELP
IF "%1" == "Help" GOTO HELP
IF "%1" == "INFO" GOTO INFO
IF "%1" == "Info" GOTO INFO
IF "%1" == "info" GOTO INFO

echo ******************************************************************
echo                     PLEASE READ BEFORE PROCEEDING !!!
echo.
echo This update batch file is provided by Novell to assist in updating
echo the DOS files for Personal NetWare.  It assumes Personal NetWare
echo was installed to the default path of C:\NWCLIENT.  If Personal
echo NetWare was not installed to the default path, end this batch file
echo and type UPDATED HELP.
echo.
echo This update file DOES NOT contain the update files for MS Windows.
echo For information on updating the NetWare Client For MS Windows,
echo type UPDATED INFO.
echo.
echo Important information will be displayed when the batch file 
echo finishes. Or, you can type UPDATED INFO to display the information
echo without installing the update files.
echo ******************************************************************
echo.
echo Press "ctrl" and "C" and answer "Y" to halt this batch process
echo.
echo OR
echo.
pause
echo.

REM assume default installation to c:\NWCLIENT, set the dos environment
rem of pnwdir to default installation path.  check to see if a parameter
rem was entered on the command line after UPDATED, if so, then reset
rem the dos pnwdir environment to that parameter and then copy the update
rem files to that specification...assume user enters path correctly.

SET PNWDIR=C:\NWCLIENT
IF "%1" == "" GOTO COPY
SET PNWDIR=%1
GOTO COPY

:copy
echo.
echo The existing files will copied to *.OLD before being overwritten by
echo the DOS update files for Personal NetWare.
echo.

COPY %PNWDIR%\DPMS.EXE %pnwdir%\*.old
COPY %PNWDIR%\PNWDIAG.EXE %pnwdir%\*.old
COPY %PNWDIR%\NET.EXE %pnwdir%\*.old
COPY %PNWDIR%\SERVER.exe %pnwdir%\*.old
COPY %PNWDIR%\SERVER.msg %pnwdir%\*.old

cd pnw
copy *.* %PNWDIR% 
cd..

cd vlms
copy %PNWDIR%\NLS\ENGLISH\DOSRQSTR.MSG %pnwdir%\*.old
copy %PNWDIR%\NLS\ENGLISH\IPXODI.MSG %pnwdir%\*.old
copy %PNWDIR%\NLS\ENGLISH\LSL.MSG %pnwdir%\*.old
copy %PNWDIR%\NLS\ENGLISH\NMR.MSG %pnwdir%\*.old
copy %PNWDIR%\*.VLM %pnwdir%\*.old
copy %PNWDIR%\IPXODI.COM %pnwdir%\*.old
copy %PNWDIR%\LSL.COM %pnwdir%\*.old
copy %PNWDIR%\VLM.EXE %pnwdir%\*.old

copy *.VLM %PNWDIR% 
copy *.EXE %PNWDIR% 
copy *.com %PNWDIR% 
copy *.msg %PNWDIR%\NLS\ENGLISH
cd..

cd odidrv
COPY %PNWDIR%\NE2000.com %pnwdir%\*.old

copy NE2000.* %PNWDIR%
cd..

GOTO INFO

:HELP
CLS
echo Personal NetWare Update Batch File
ECHO.
ECHO USAGE:  UPDATED (d:\path or INFO)
echo.
echo If Personal NetWare was installed to the default path of
echo C:\NWCLIENT, then run:
echo.
echo      UPDATED 
echo.
echo If Personal NetWare was installed to a nondefault path,
echo run UPDATED followed by the full path where Personal NetWare was
ECHO installed.  
echo.
echo Example: If Personal NetWare was installed to D:\NET then run:
echo.
echo      UPDATED D:\NET
echo.
echo Important information is included in this batch file.  To 
echo display the information only and NOT copy the update files, type:
echo.
echo      UPDATED INFO
echo.
GOTO end

:INFO
echo.
echo.
echo ******************************************************************
echo This is an automated process for installing the Personal NetWare
echo update files contained in P10U05.EXE and VLMUP2.EXE.
echo.
echo If MS Windows is installed on any machine on the network, also 
echo download PNWUPW.EXE and follow the same instructions as for this
echo DOS update, except the "D" is replaced with "W" (for Windows).  Run
echo PNWUPW to extract the files and then run UPDATEW to run the update
echo for MS Windows automated process.
echo.
echo All machines on the network need to be updated.  You can run the
echo update batch file(s) across the network.
echo.
pause
echo.
echo Novell provides free "self help" FAXBACK technical information 
echo documents for Personal NetWare.  Call 800-768-9771 and select 
echo option 3.  First, have the Personal NetWare Master Catalog faxed
echo to you, then call back to order specific documents...OR...All of
echo these technical information documents are kept in one file 
echo (PNWTID.EXE, text format) in the same on-line services.  
echo PNWTID.EXE is updated periodically.
echo.
echo Other patch files are available which address specific issues and
echo are only available on the Novell DeskTop BBS at 801-221-5197.
echo Select Files and Personal NetWare.
echo ******************************************************************
echo.
echo Reboot This Machine To Load The Update Files
echo.
:END
SET PNWDIR=