@echo off
CLS

IF "%1" == "/?" GOTO HELP
IF "%1" == "HELP" GOTO HELP
IF "%1" == "help" GOTO HELP
IF "%1" == "Help" GOTO HELP
IF "%1" == "INFO" GOTO INFO
IF "%1" == "Info" GOTO INFO
IF "%1" == "info" GOTO INFO

REM assume default installation to c:\windows, set the dos environment
rem of windir to default installation path.  check to see if a parameter
rem was entered on the command line after UPDATEW, if so, then reset
rem the dos windir environment to that parameter and then copy the update
rem files to that specification...assume user enters path correctly.
REM

SET WINDIR=C:\WINDOWS
IF "%1" == "" GOTO CONT
SET WINDIR=%1
GOTO CONT

:CONT
echo ******************************************************************
echo                     PLEASE READ BEFORE PROCEEDING !!!
echo.
echo This update batch file is provided by Novell to assist in updating
echo the Personal NetWare files for MS Windows.  It assumes MS Windows
echo was installed to the default path of C:\WINDOWS.  If MS WINDOWS
echo was not installed to the default path, end this batch file
echo and type UPDATEW HELP.
echo.
echo This update file DOES NOT contain the update DOS files for Personal
echo NetWare.  For information on updating the DOS files for Personal 
echo NetWare type UPDATEW INFO.
echo.
echo Important information will be displayed when the batch file 
echo finishes. Or, you can type UPDATEW INFO to display the information
echo without installing the update files.
echo ******************************************************************
echo.
echo Press "ctrl" and "C" and answer "Y" to halt this batch process
echo.
echo OR
echo.
pause

CLS
echo.
ECHO UPDATEW will now "clean up" files in %WINDIR%, if the file to
echo be "cleaned up" is not present, a "File Not Found" message may
echo appear.  This is not a problem.
echo.
pause
ECHO.
del %WINDIR%\NW*.DLL
DEL %WINDIR%\PNW.DLL
DEL %WINDIR%\VIPX.386
DEL %WINDIR%\VNETWARE.386
DEL %WINDIR%\VPICDA.386

rem Make backup copies of drivers before installing the new ones
REm %WINDIR%\SYSTEM\NW*.DLL *.OLD
REm 

REM copy the update files by moving in and out of the directories at this
rem tree level.  destination path is the dos environment WINDIR.
REM

REM COPY FILES FROM WINDR2.EXE

copy %windir%\system\nwpopup.exe %windir%\system\nwpopup.old
copy nwpopup.exe %WINDIR%\SYSTEM

cd vlmdrvs
copy %windir%\system\nwuser.exe %windir%\system\nwuser.old
copy NWUSER.exe %WINDIR%\SYSTEM
copy %windir%\system\netware.drv %windir%\system\netware.old
COPY NETWARE.drv %WINDIR%\SYSTEM

copy %windir%\nls\*.001 %windir%\nls\*.old
COPY *.001 %WINDIR%\NLS
CD..

CD VXDS
copy %WINDIR%\SYSTEM\vipx.386 %WINDIR%\SYSTEM\vipx.old
copy %WINDIR%\SYSTEM\vnetware.386 %WINDIR%\SYSTEM\vnetware.old
COPY vipx.386 %WINDIR%\SYSTEM
copy vnetware.386 %WINDIR%\SYSTEM
CD..

REM NWDLL2.EXE
echo.
rem copy files from NWDLL2.EXE to Windows\System
cd nwdll
copy %WINDIR%\SYSTEM\nwcalls.dll %WINDIR%\SYSTEM\nwcalls.old
copy %WINDIR%\SYSTEM\nwipxspx.dll %WINDIR%\SYSTEM\nwipxspx.old
copy %WINDIR%\SYSTEM\nwlocale.dll %WINDIR%\SYSTEM\nwlocale.old
copy %WINDIR%\SYSTEM\nwnet.dll %WINDIR%\SYSTEM\nwnet.old
copy %WINDIR%\SYSTEM\nwpsrv.dll %WINDIR%\SYSTEM\nwpsrv.old
copy %WINDIR%\SYSTEM\nwgdi.dll %WINDIR%\SYSTEM\nwgdi.old
copy %WINDIR%\SYSTEM\pnw.dll %WINDIR%\SYSTEM\pnw.old

copy *.* %WINDIR%\system
cd..
echo.
echo If you have MS Windows currently running, you need to exit and restart
echo MS Windows so the update files can be loaded.
echo.
GOTO INFO1

:HELP
CLS
echo Personal NetWare for MS Windows Update Batch File
ECHO.
ECHO     USAGE:  UPDATEW (d:\path or INFO)
echo.
echo If MS Windows was installed to the default path of: C:\WINDOWS,
ECHO then run:
echo.
echo     UPDATEW
echo.
echo If MS Windows was installed to a nondefault path, run UPDATEW
echo followed by the full path to MS Windows.
echo.
echo Example: If MS Windows was installed to D:\WIN then run:
echo.
echo     UPDATEW D:\WIN
echo.
echo Important information is included in this batch file.  To 
echo display the information only and NOT copy the update files, type:
echo.
echo     UPDATEW INFO
echo.
GOTO end

:INFO
echo.
echo.
echo ******************************************************************
echo This is an automated process for installing the Personal NetWare 
echo for MS Windows update files contained in WINDR2.EXE and NWDLL2.EXE.
echo.
echo The Personal NetWare DOS files MUST be installed prior to running
echo this MS Windows update file.  Download PNWUPD.EXE and follow the
echo same instructions as for this MS Windows update, except the "W" is
echo replaced with "D" (for DOS).  Run PNWUPD to extract the files and 
echo then run UPDATED to run the update for DOS automated process.
echo.
GOTO INFO2
:INFO1
echo ******************************************************************
:INFO2
echo All machines on the network need to be updated.  This same UPDATEW
echo batch process can be run across the network.
echo.
pause
echo.
echo This update file has been customized to fit the needs of the majority
echo of Personal NetWare users.  The update files installed by this batch
echo process were extracted from the general Novell Client for MS Windows
echo files, WINDR2.EXE and NWDLL2.EXE.  If files are need that are not 
echo included with this update, download the original files.
echo.
pause
echo.
echo Novell provides "free self" help FAXBACK technical information 
echo documents for Personal NetWare.  Call 800-768-9771 and select 
echo option 3.  First, have the Personal NetWare Master Catalog faxed
echo to you, then call back to order specific documents...OR...All of
echo these technical information documents are kept in one file
echo (PNWTID.EXE, text format) in the on-line services.
echo PNWTID.EXE is updated periodically.
echo.
echo Other patch files are available which address specific issues and
echo are only available on the Novell DeskTop BBS at 801-221-5197.
echo Select Files and then Personal NetWare.
echo ******************************************************************
:END
SET WINDIR=
